diff -u -r -N squid-3.2.4/ChangeLog squid-3.2.5/ChangeLog
--- squid-3.2.4/ChangeLog	2012-12-02 22:23:10.000000000 +1300
+++ squid-3.2.5/ChangeLog	2012-12-10 22:53:26.000000000 +1300
@@ -1,3 +1,7 @@
+Changes to squid-3.2.5 (10 Dec 2012):
+
+	- Bug 3698: Add missing include of errno.h
+
 Changes to squid-3.2.4 (03 Dec 2012):
 
 	- Ported: urllogin ACL from squid 2.7
diff -u -r -N squid-3.2.4/compat/xstrerror.h squid-3.2.5/compat/xstrerror.h
--- squid-3.2.4/compat/xstrerror.h	2012-12-02 22:23:10.000000000 +1300
+++ squid-3.2.5/compat/xstrerror.h	2012-12-10 22:53:26.000000000 +1300
@@ -1,6 +1,10 @@
 #ifndef _SQUID_COMPAT_XSTRERROR_H
 #define _SQUID_COMPAT_XSTRERROR_H
 
+#if HAVE_ERRNO_H
+#include <errno.h>
+#endif
+
 /** strerror() wrapper replacement.
  *
  * Provides the guarantee that a string is always returned.
diff -u -r -N squid-3.2.4/configure squid-3.2.5/configure
--- squid-3.2.4/configure	2012-12-02 22:24:01.000000000 +1300
+++ squid-3.2.5/configure	2012-12-10 22:54:50.000000000 +1300
@@ -1,9 +1,9 @@
 #! /bin/sh
 # From configure.ac Revision.
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.68 for Squid Web Proxy 3.2.4.
+# Generated by GNU Autoconf 2.68 for Squid Web Proxy 3.2.5.
 #
-# Report bugs to <http://www.squid-cache.org/bugs/>.
+# Report bugs to <http://bugs.squid-cache.org/>.
 #
 #
 # Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
@@ -248,7 +248,7 @@
     $as_echo "$0: be upgraded to zsh 4.3.4 or later."
   else
     $as_echo "$0: Please tell bug-autoconf@gnu.org and
-$0: http://www.squid-cache.org/bugs/ about your system,
+$0: http://bugs.squid-cache.org/ about your system,
 $0: including any error possibly output before this
 $0: message. Then install a modern shell, or manually run
 $0: the script under such a shell if you do have one."
@@ -575,9 +575,9 @@
 # Identity of this package.
 PACKAGE_NAME='Squid Web Proxy'
 PACKAGE_TARNAME='squid'
-PACKAGE_VERSION='3.2.4'
-PACKAGE_STRING='Squid Web Proxy 3.2.4'
-PACKAGE_BUGREPORT='http://www.squid-cache.org/bugs/'
+PACKAGE_VERSION='3.2.5'
+PACKAGE_STRING='Squid Web Proxy 3.2.5'
+PACKAGE_BUGREPORT='http://bugs.squid-cache.org/'
 PACKAGE_URL=''
 
 ac_unique_file="src/main.cc"
@@ -1571,7 +1571,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures Squid Web Proxy 3.2.4 to adapt to many kinds of systems.
+\`configure' configures Squid Web Proxy 3.2.5 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1641,7 +1641,7 @@
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of Squid Web Proxy 3.2.4:";;
+     short | recursive ) echo "Configuration of Squid Web Proxy 3.2.5:";;
    esac
   cat <<\_ACEOF
 
@@ -1956,7 +1956,7 @@
 Use these variables to override the choices made by `configure' or to help
 it to find libraries and programs with nonstandard names/locations.
 
-Report bugs to <http://www.squid-cache.org/bugs/>.
+Report bugs to <http://bugs.squid-cache.org/>.
 _ACEOF
 ac_status=$?
 fi
@@ -2019,7 +2019,7 @@
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-Squid Web Proxy configure 3.2.4
+Squid Web Proxy configure 3.2.5
 generated by GNU Autoconf 2.68
 
 Copyright (C) 2010 Free Software Foundation, Inc.
@@ -2216,9 +2216,9 @@
 $as_echo "$as_me: WARNING: $2:     section \"Present But Cannot Be Compiled\"" >&2;}
     { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $2: proceeding with the compiler's result" >&5
 $as_echo "$as_me: WARNING: $2: proceeding with the compiler's result" >&2;}
-( $as_echo "## ----------------------------------------------- ##
-## Report this to http://www.squid-cache.org/bugs/ ##
-## ----------------------------------------------- ##"
+( $as_echo "## ------------------------------------------- ##
+## Report this to http://bugs.squid-cache.org/ ##
+## ------------------------------------------- ##"
      ) | sed "s/^/$as_me: WARNING:     /" >&2
     ;;
 esac
@@ -3115,7 +3115,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by Squid Web Proxy $as_me 3.2.4, which was
+It was created by Squid Web Proxy $as_me 3.2.5, which was
 generated by GNU Autoconf 2.68.  Invocation command line was
 
   $ $0 $@
@@ -3934,7 +3934,7 @@
 
 # Define the identity of the package.
  PACKAGE='squid'
- VERSION='3.2.4'
+ VERSION='3.2.5'
 
 
 cat >>confdefs.h <<_ACEOF
@@ -30894,7 +30894,7 @@
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by Squid Web Proxy $as_me 3.2.4, which was
+This file was extended by Squid Web Proxy $as_me 3.2.5, which was
 generated by GNU Autoconf 2.68.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -30954,13 +30954,13 @@
 Configuration commands:
 $config_commands
 
-Report bugs to <http://www.squid-cache.org/bugs/>."
+Report bugs to <http://bugs.squid-cache.org/>."
 
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
 ac_cs_config="`$as_echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`"
 ac_cs_version="\\
-Squid Web Proxy config.status 3.2.4
+Squid Web Proxy config.status 3.2.5
 configured by $0, generated by GNU Autoconf 2.68,
   with options \\"\$ac_cs_config\\"
 
diff -u -r -N squid-3.2.4/configure.ac squid-3.2.5/configure.ac
--- squid-3.2.4/configure.ac	2012-12-02 22:24:01.000000000 +1300
+++ squid-3.2.5/configure.ac	2012-12-10 22:54:50.000000000 +1300
@@ -1,9 +1,4 @@
-dnl
-dnl  $Id$
-dnl
-dnl
-dnl
-AC_INIT([Squid Web Proxy],[3.2.4],[http://www.squid-cache.org/bugs/],[squid])
+AC_INIT([Squid Web Proxy],[3.2.5],[http://bugs.squid-cache.org/],[squid])
 AC_PREREQ(2.61)
 AC_CONFIG_HEADERS([include/autoconf.h])
 AC_CONFIG_AUX_DIR(cfgaux)
diff -u -r -N squid-3.2.4/helpers/basic_auth/DB/basic_db_auth.8 squid-3.2.5/helpers/basic_auth/DB/basic_db_auth.8
--- squid-3.2.4/helpers/basic_auth/DB/basic_db_auth.8	2012-12-02 22:40:51.000000000 +1300
+++ squid-3.2.5/helpers/basic_auth/DB/basic_db_auth.8	2012-12-10 23:13:05.000000000 +1300
@@ -124,7 +124,7 @@
 .\" ========================================================================
 .\"
 .IX Title "BASIC_DB_AUTH 1"
-.TH BASIC_DB_AUTH 1 "2012-12-02" "perl v5.10.1" "User Contributed Perl Documentation"
+.TH BASIC_DB_AUTH 1 "2012-12-10" "perl v5.10.1" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
diff -u -r -N squid-3.2.4/helpers/external_acl/wbinfo_group/ext_wbinfo_group_acl.8 squid-3.2.5/helpers/external_acl/wbinfo_group/ext_wbinfo_group_acl.8
--- squid-3.2.4/helpers/external_acl/wbinfo_group/ext_wbinfo_group_acl.8	2012-12-02 22:40:53.000000000 +1300
+++ squid-3.2.5/helpers/external_acl/wbinfo_group/ext_wbinfo_group_acl.8	2012-12-10 23:13:17.000000000 +1300
@@ -124,7 +124,7 @@
 .\" ========================================================================
 .\"
 .IX Title "EXT_WBINFO_GROUP_ACL.PL.IN 1"
-.TH EXT_WBINFO_GROUP_ACL.PL.IN 1 "2012-12-02" "perl v5.10.1" "User Contributed Perl Documentation"
+.TH EXT_WBINFO_GROUP_ACL.PL.IN 1 "2012-12-10" "perl v5.10.1" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
diff -u -r -N squid-3.2.4/include/version.h squid-3.2.5/include/version.h
--- squid-3.2.4/include/version.h	2012-12-02 22:24:01.000000000 +1300
+++ squid-3.2.5/include/version.h	2012-12-10 22:54:51.000000000 +1300
@@ -9,7 +9,7 @@
  */
 
 #ifndef SQUID_RELEASE_TIME
-#define SQUID_RELEASE_TIME 1354440188
+#define SQUID_RELEASE_TIME 1355133201
 #endif
 
 #ifndef APP_SHORTNAME
diff -u -r -N squid-3.2.4/RELEASENOTES.html squid-3.2.5/RELEASENOTES.html
--- squid-3.2.4/RELEASENOTES.html	2012-12-02 22:41:00.000000000 +1300
+++ squid-3.2.5/RELEASENOTES.html	2012-12-10 23:15:13.000000000 +1300
@@ -2,10 +2,10 @@
 <HTML>
 <HEAD>
  <META NAME="GENERATOR" CONTENT="LinuxDoc-Tools 0.9.66">
- <TITLE>Squid 3.2.4 release notes</TITLE>
+ <TITLE>Squid 3.2.5 release notes</TITLE>
 </HEAD>
 <BODY>
-<H1>Squid 3.2.4 release notes</H1>
+<H1>Squid 3.2.5 release notes</H1>
 
 <H2>Squid Developers</H2>
 <HR>
@@ -72,7 +72,8 @@
 <HR>
 <H2><A NAME="s1">1.</A> <A HREF="#toc1">Notice</A></H2>
 
-<P>The Squid Team are pleased to announce the release of Squid-3.2.4 for testing.</P>
+<P>The Squid Team are pleased to announce the release of Squid-3.2.5 for 
+testing.</P>
 <P>This new release is available for download from 
 <A HREF="http://www.squid-cache.org/Versions/v3/3.2/">http://www.squid-cache.org/Versions/v3/3.2/</A> or the 
 <A HREF="http://www.squid-cache.org/Mirrors/http-mirrors.html">mirrors</A>.</P>
